#
# spec file for package iniparser
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           iniparser
Version:        3.1.0.git20140619_c5beb80a
Release:        5.5
Url:            http://ndevilla.free.fr/iniparser/
Summary:        Library to parse ini files
License:        MIT
Group:          System/Libraries
#Source:         http://ndevilla.free.fr/iniparser/iniparser-%{version}.tar.gz
Source:         iniparser-%{version}.tar.gz
Source2:        baselibs.conf
Patch00:        iniparser_remove_rpath.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Libiniparser offers parsing of ini files from the C level.


%if 0%{?suse_version} == 0 || 0%{?suse_version} > 1100
%define libiniparser_name libiniparser0
%else
%define libiniparser_name libiniparser
%endif
%package -n %{libiniparser_name}
Summary:        Library to parse ini files
Group:          System/Libraries

%description -n %{libiniparser_name}
Libiniparser offers parsing of ini files from the C level.

This package includes the libiniparser0 library.


%package -n libiniparser-devel
Summary:        Libraries and Header Files to Develop Programs with libiniparser Support
Group:          Development/Libraries/C and C++
%if 0%{?suse_version} == 0 || 0%{?suse_version} > 1100
Requires:       %{libiniparser_name} = %{version}
%else
Requires:       libiniparser = %{version}
%endif

%description -n libiniparser-devel
This package contains the static libraries and header files needed to
develop programs which make use of the libiniparser programming
interface.

The libiniparser offers parsing of ini files from the C level.	See a
complete documentation in HTML format, from the
/usr/share/doc/packages/libiniparser-devel directory open the file
html/index.html with any HTML-capable browser.

Libraries and Header Files to Develop Programs with iniparser Support.


%prep
%setup -q -n iniparser
%patch00 -p1

%build
%{__make} %{?jobs:-j%jobs} CFLAGS="%{optflags} -fPIC" libiniparser.so

%install
%__install -d -m 0755 %{buildroot}%{_includedir}
%__install -d -m 0755 %{buildroot}%{_libdir}
%__install -m 0755 libiniparser.so.0 %{buildroot}%{_libdir}
%__install -m 0644 src/{dictionary,iniparser}.h %{buildroot}%{_includedir}
%__ln_s -f libiniparser.so.0 %{buildroot}%{_libdir}/libiniparser.so

%check
%__ln_s libiniparser.so.0 libiniparser.so
%{__make} check

%clean
%__rm -rf %{buildroot}

%post -n %{libiniparser_name} -p /sbin/ldconfig

%postun -n %{libiniparser_name} -p /sbin/ldconfig

%files -n %{libiniparser_name}
%defattr(-,root,root)
%{_libdir}/libiniparser.so.*
%doc LICENSE

%files -n libiniparser-devel
%defattr(-,root,root)
%{_includedir}/*.h
%{_libdir}/libiniparser.so
%doc html

%changelog
* Thu Jun 19 2014 lmuelle@suse.com
- Update to git snapshot 20140619 c5beb80a
  + Fix coverity issues
  + Fix resource leaks
  + Modify to build unbounded keys & values from multi-line input
  + Fix crash with crafted ini files
  + Makefile fixes: Library build, targets
  + Prevent compiler warning when compiling for 64 bit
  + Build system improvements
- Update iniparser_remove_rpath.patch
* Mon Mar 17 2014 lmuelle@suse.com
- Remove superfluous obsoletes *-64bit in the ifarch ppc64 case; (bnc#437293).
* Fri Jun  7 2013 lmuelle@suse.com
- Include LICENSE file from the source tar ball.
* Tue Jun  5 2012 lmuelle@suse.com
- Define library name and use it instead of libiniparser0.
* Sun Jun  3 2012 lmuelle@suse.com
- Use the unversioned libiniparser name on pre-11.2 systems only.
* Sun Jun  3 2012 lmuelle@suse.com
- Define library name and use it instead of libiniparser0.
- Remove unused debug_package_requires define.
* Sat Apr 21 2012 lars@samba.org
- Update to version 3.1.
  + Const'ified input string arguments
- Update to version 3.0.
  + Single function to set values in a dict: iniparser_set()
  + Bug corrected for lines containing only \n
  + Enhanced documentation
  + C++ nonsense removed
* Thu Dec 17 2009 jengelh@medozas.de
- add baselibs.conf as a source
- enable parallel building
* Wed Jan  7 2009 olh@suse.de
- obsolete old -XXbit packages (bnc#437293)
* Thu Nov 27 2008 ro@suse.de
- update baselibs.conf
* Thu Aug 28 2008 anschneider@suse.de
- create packages following the shlib policy
- build only the shared library
* Wed Aug 20 2008 meissner@suse.de
- use RPM_OPT_FLAGS, libiniparser.a can be 644
* Mon May  5 2008 anschneider@suse.de
- build without rpath
* Thu Apr 10 2008 ro@suse.de
- added baselibs.conf file to build xxbit packages
  for multilib support
* Thu Dec 27 2007 crrodriguez@suse.de
- fix library-without-ldconfig* errors
* Sun May 27 2007 lmuelle@suse.de
- Update to version 2.17.
  + Apply some const and fix c++ warnings.
  + Merge revision 19928 from samba.org subversion.
  + Applied patches to the Makefile to build a shared library.
* Sun May 20 2007 lmuelle@suse.de
- Remove requires on release from devel packages.
* Tue Sep 26 2006 gd@suse.de
- Update to version 2.15
  - documentation fixes
* Tue Apr 11 2006 lmuelle@suse.de
- Inital SuSE RPM.
